Bug 210364 - ^W in virt-manager console window closes the whole window
^W in virt-manager console window closes the whole window
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hugh Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 13:55 EDT by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:21:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-10-11 13:55:28 EDT
Description of problem:
In a virt-manager guest console window, it is impossible to type "^W" to the
guest --- the accelerator gets swallowed by the virt-manager window itself,
closing the window.  It really makes the console difficult to use if common
control sequences cannot be typed into it.

Version-Release number of selected component (if applicable):
xen-3.0.2-45.el5

How reproducible:
100%
Comment 1 Hugh Brock 2006-10-18 15:27:11 EDT
c-w and all other accelerators will now be passed through, provided the mouse is
over the console window (if it is not, accelerators will be picked up by the
local window manager as normal).
Comment 2 Brian Stein 2006-10-18 16:50:26 EDT
Patch is ready to go.
Comment 3 RHEL Product and Program Management 2006-10-18 17:06:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 4 Jay Turner 2006-10-19 10:10:24 EDT
QE ack for RHEL5.
Comment 5 Daniel Berrange 2006-10-23 09:38:47 EDT
The fix for this issue has been built into virt-manager-0.2.5-1.el5

Note You need to log in before you can comment on or make changes to this bug.